/*
 *  grader-tf.c
 *
 *  Copyright (C) 2003 Nadav Rotem <nadav256@hotmail.com>
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "libots.h"

/*Grader - using the Term frequency algorithm. Will give each line a score*/



OtsWordTF* 
ots_new_OtsWordTF(const char* word,const double idf ,const double tf)
{
 OtsWordTF* obj=g_new0(OtsWordTF,1);
 if (word!=NULL) obj->word=g_strdup(word);
 obj->idf=idf;
 obj->tf=tf;
 return obj;
}

void 
ots_free_OtsWordTF(OtsWordTF *obj)
{
 if (obj!=NULL)
  {
   if (obj->word!=NULL) g_free(obj->word);
   g_free(obj);
  }
}

void
ots_free_TF_wordlist (GList * aList)
{  
  if (aList != NULL)
    {
  		 	g_list_foreach(aList,(GFunc)ots_free_OtsWordTF, NULL);
    		g_list_free(aList);
    }
}


void
ots_grade_doc_tf (OtsArticle * Doc)
{

return; 
}
